# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# Kate::DocumentExt Class Reference

Extensions to the Document Interface

Since:
  3.3.

More...

`#include <document.h>`

List of all members.

## Public Types

enum | ModifiedOnDiskReason { Unmodified = 0, Modified = 1, Created = 2, Deleted = 3 }

## Public Member Functions

virtual void | setModifiedOnDisk (int reason)=0
virtual void | slotModifiedOnDisk (View *v=0)=0

## Detailed Description

Extensions to the Document Interface

Since:
  3.3.

Definition at line 347 of file document.h.

## Member Enumeration Documentation

enum Kate::DocumentExt::ModifiedOnDiskReason

Reasons why a document is modified on disk.

Enumeration values:

  Unmodified | Not modified.
  Modified | The file was modified by another program.
  Created | The file was created by another program.
  Deleted | The file was deleted.

Definition at line 359 of file document.h.

## Member Function Documentation

virtual void Kate::DocumentExt::setModifiedOnDisk | ( | int | reason | ) | `[pure virtual]`

| For client apps that want to deal with files modified on disk, it is nessecary to reset this property. `reason` is a ModifiedOnDiskReason.

virtual void Kate::DocumentExt::slotModifiedOnDisk | ( | View * | v = `0` | ) | `[pure virtual]`

| Ask the user what to do, if the file is modified on disk. The `v` argument is used to avoid asking again, when the editor regains focus after the dialog is hidden.

The documentation for this class was generated from the following files:

- document.h
- interfaces.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003